MEINPROC5(1)

NOME
meinproc5 - Tradutor do KDE para XML

SINTAXE

meinproc5 [-h, --help] [-v, --version] [--cache ficheiro] [--check] [--srcdir pasta] [--param chave=valor] [ [ | [-o] | [--output] ] ficheiro ] [--stdout] [--stylesheet xsl] ficheiro-docbook

DESCRIÇÃO

O meinproc5 converte ficheiros DocBook para HTML.

OPÇÕES GENÉRICAS

-h--help

    Mostra a ajuda acerca das opções.

-v--version
    Mostra a versão.

OPÇÕES DA APLICAÇÃO

--cache ficheiro
    Criar um ficheiro de 'cache' para o documento

--check
    Verificar a validade do documento

        O resultado poderá ser bastante exaustivo, dado que um pequeno erro poderá gerar uma enorme cascata de erros.
        O truque é olhar para o primeiro erro, corrigi-lo, gravar o ficheiro e executar o meinproc5 de novo.

-o, --output ficheiro
    Envia o documento inteiro para o ficheiro.

--stdout
    Envia todo o documento para o 'stdout' (ecrã).

--stylesheet xsl
    A folha de estilo a usar

--srcdir pasta
    Configure a pasta de topo onde procurar as 'kdoctools'

--param chave=valor
    Define os parâmetros a passar à folha de estilo.

UTILIZAÇÃO

A forma mais comum de executar o meinproc5 é tão simples como

    meinproc5 ficheiro-docbook

, onde o ficheiro-docbook é normalmente 'index.docbook'. Este comando cria páginas HTML a partir do ficheiro DocBook. Lembre-se que estas páginas só são visíveis em navegadores baseados no KDE (como o Konqueror).

Se precisar de ver o resultado em HTML noutro navegador (por exemplo, se o quiser pôr 'online'), use

    meinproc5 --stylesheet nome-folha-estilo ficheiro-docbook

, onde o nome-folha-estilo é a localização completa de uma das folhas de estilo em <prefixo_instalação_kdoctools>/share/apps/ksgmltools/customization. Para produzir um resultado adequado para a Web, poderá usar o kde-web.xsl ou o kde-chunk-online.xsl. Veja o ficheiro README dessa pasta para mais detalhes.

VEJA TAMBÉM

kf5options(7), qt5options(7)

PROBLEMAS

Existem provavelmente diversos erros. Use o sistema de gestão de erros do KDE[1] para os comunicar.

NOTAS

1.  sistema de gestão de erros do KDE
    http://bugs.kde.org